package com.jxml.quick.util.cfg2html;
import com.jxml.quick.*;
import com.jxml.quick.util.*;
import com.jxml.quick.ocm.*;
import java.util.*;
import org.xml.sax.*;
import java.io.*;
import com.jxml.quick.config.*;

public class QCcfg extends OCMtemplate
{
	public String process(String templateName, String arg)
		throws SAXException, IOException
	{
		ConfigImpl dm=(ConfigImpl)dataModel;

		if ("title".equals(arg))
		{
			return dm.htmlTitle;
		}

		if ("heading".equals(arg))
		{
			return dm.htmlHead;
		}

		if ("instructions".equals(arg))
		{
			doCvt(dm.instruction,null);
			return "";
		}

		if ("action".equals(arg))
		{
			return context.getProperties().get("action").toString();
		}

		if ("items".equals(arg))
		{
			doCvt(dm.items,null);
			return "";
		}

		return "";

	}
}